% This function gets as input a vector of values (X) and a number 0 < c < 1
% and then estimates the c-confidence interval of X.
% Output cint is a two-element vector containing the estimated c-confidence interval of X.

function cint = myconfintcal1(X, c)
step = 0.001;

startValues = 0:step:1 - c;

lengthInt = zeros(length(startValues), 1);
Intv = zeros(length(startValues), 2);

for itr = 1:length(startValues)
    Intv(itr, :) = quantile(X, [startValues(itr) startValues(itr) + c]);
    lengthInt(itr) = diff(Intv(itr, :));
end

minInt = find(lengthInt == min(lengthInt));
cint = Intv(minInt(1), :);